%global dlrn_nvr python-barbicanclient-5.3.0-17.1.20230621222855.ad49c40
%global dlrn 1
%define upstream_version 5.3.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0

%global sname barbicanclient

%global common_desc \
This is a client for the Barbican Key Management API. There is a \
Python library for accessing the API (barbicanclient module), and \
a command-line script (barbican).

Name:           python-barbicanclient
Version: 5.3.0
Release: 17.1.20230621222856.ad49c40%{?dist}
Summary:        Client Library for OpenStack Barbican Key Management API

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-barbicanclient
Source0: python-barbicanclient-5.3.0-17.1.20230621222855.ad49c40.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=ad49c406fe67459a4a667c78ad37782fb14bdbb7
Patch0001: 0001-Fix-unit-test-failue-with-cliff-3.5.0.patch
Patch0002: 0002-Fix-the-import-warning-of-secrets.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires:  git-core
%description
%{common_desc}

%package -n python3-%{sname}
Summary:        Client Library for OpenStack Barbican Key Management API
%{?python_provide:%python_provide python3-%{sname}}
Obsoletes: python2-%{sname} < %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools
Requires:       python3-requests >= 2.14.2
Requires:       python3-six >= 1.10.0
Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-serialization >= 2.18.0
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-prettytable
Requires:       python3-keystoneauth1 >= 3.4.0
Requires:       python3-pbr >= 2.0.0
Requires:       python3-cliff >= 2.8.0

%description -n python3-%{sname}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{sname}-doc
Summary: Documentation for OpenStack Barbican API client

BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-rsvgconverter
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-prettytable

%description -n python-%{sname}-doc
Documentation for the barbicanclient module
%endif

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

rm -rf {test-,}requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# doc
%{__python3} setup.py build_sphinx -b html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.buildinfo
%endif

%install
%{py3_install}
ln -s ./barbican %{buildroot}%{_bindir}/barbican-3

%files -n python3-%{sname}
%license LICENSE
%doc AUTHORS CONTRIBUTING.rst README.rst PKG-INFO ChangeLog
%{_bindir}/barbican
%{_bindir}/barbican-3
%{python3_sitelib}/barbicanclient
%{python3_sitelib}/python_barbicanclient-%{upstream_version}-py?.?.egg-info

%if 0%{?with_doc}
%files -n python-%{sname}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 5.3.0-17.1.20230621222855.ad49c40
- Update patches

* Tue May 09 2023 OSP Prod Chain <dev-null@redhat.com> 5.3.0-1.20230509083956.ad49c40
- Fix the import warning of secrets (rhbz#2163685)

* Fri Oct 28 2022 OSP Prod Chain <dev-null@redhat.com> 5.3.0-1.20221028124140.ad49c40
- Fix unit test failue with cliff>=3.5.0 (rhbz#2059112)

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 5.3.0-1.20220727113522.ad49c40
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 5.3.0-0.20220712123651.ad49c40
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 5.1.0-0.20210528000359.ad49c40
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 5.1.0-1
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- bump py37 to py38 in tox.ini
- Add Python3 wallaby unit tests
- [goal] Migrate tox based testing to ubuntu focal

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Zuul: port to native v3 job and add victoria unit tests
- add py38 package metadata
- Switch from unittest2 compat methods to Python 3.x methods
- Update hacking for Python3

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions
- Use unittest.mock instead of third party mock
- [ussuri][goal] Drop python 2.7 support and testing
- Fix gate job failures and py3 compatibility

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- PDF Documentation Build tox target

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- PDF Documentation Build tox target
- PDF Documentation Build tox target

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support two-way auth for barbicanclient
- PDF Documentation Build tox target
- docs: Turn on warning-as-error
- Fix lower-constraints tox target
- Bump the openstackdocstheme extension to 1.20

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


